/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-05-23 17:46:09 UTC)
 * on 2013-05-30 at 01:57:07 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

/**
 * A request for information about a voter.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class VoterInfoRequest extends com.google.api.client.json.GenericJson {

  /**
   * The registered address of the voter to look up.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String address;

  /**
   * The registered address of the voter to look up.
   * @return value or {@code null} for none
   */
  public java.lang.String getAddress() {
    return address;
  }

  /**
   * The registered address of the voter to look up.
   * @param address address or {@code null} for none
   */
  public VoterInfoRequest setAddress(java.lang.String address) {
    this.address = address;
    return this;
  }

  @Override
  public VoterInfoRequest set(String fieldName, Object value) {
    return (VoterInfoRequest) super.set(fieldName, value);
  }

  @Override
  public VoterInfoRequest clone() {
    return (VoterInfoRequest) super.clone();
  }

}
